import { toISOStringTimezone } from './chunk-DAEL77WD.mjs';

// src/isISOStringTimeZone/index.ts
function isISOStringWithTimezone(val) {
  const d = new Date(val);
  return !Number.isNaN(d.valueOf()) && toISOStringTimezone(d) === val;
}

export { isISOStringWithTimezone };
